Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PolicyA.cpp File Reference

`#include "PolicyC.h"`
`#include "PolicyA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for PolicyA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, const CORBA::PolicyError &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyError *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyError *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::PolicyError *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::InvalidPolicies &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::InvalidPolicies *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::InvalidPolicies *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::InvalidPolicies *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Policy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::Policy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::Policy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyManager_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyManager_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyManager_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::PolicyCurrent_ptr &_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::InvalidPolicies * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::InvalidPolicies & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::PolicyError * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::PolicyError & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyCurrent_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyManager_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::Policy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::InvalidPolicies *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::InvalidPolicies *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::PolicyError *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::PolicyError *& | _tao_elem
| ) |